Package com.sun.mail.imap

# Class ResyncData

java.lang.Object
com.sun.mail.imap.ResyncData

public class ResyncData extends Object
Resynchronization data as defined by the QRESYNC extension (RFC 5162). An instance of `ResyncData` is supplied to the `IMAPFolder open` method. The CONDSTORE `ResyncData` instance is used to enable the CONDSTORE extension (RFC 4551). A `ResyncData` instance with uidvalidity and modseq values is used to enable the QRESYNC extension.

Since:
  JavaMail 1.5.1
Author:
  Bill Shannon

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResyncData`
`CONDSTORE`
Used to enable only the CONDSTORE extension.

## Constructor Summary

Constructors
Constructor
Description
`ResyncData(long uidvalidity, long modseq)`
Used to report on changes since the specified modseq.
`ResyncData(long uidvalidity, long modseq, long[] uids)`
Used to limit the reported message changes to those with the specified UIDs.
`ResyncData(long uidvalidity, long modseq, long uidFirst, long uidLast)`
Used to limit the reported message changes to those with UIDs in the specified range.

## Method Summary

Modifier and Type
Method
Description
`long`
`getModSeq()`
Get the MODSEQ value specified when this instance was created.
`long`
`getUIDValidity()`
Get the UIDVALIDITY value specified when this instance was created.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONDSTORE

public static final ResyncData CONDSTORE
Used to enable only the CONDSTORE extension.

## Constructor Details

### ResyncData

public ResyncData(long uidvalidity, long modseq)
Used to report on changes since the specified modseq. If the UIDVALIDITY of the folder has changed, no message changes will be reported. The application must check the UIDVALIDITY of the folder after open to make sure it's the expected folder.

Parameters:
  `uidvalidity` - the UIDVALIDITY
  `modseq` - the MODSEQ

### ResyncData

public ResyncData(long uidvalidity, long modseq, long uidFirst, long uidLast)
Used to limit the reported message changes to those with UIDs in the specified range.

Parameters:
  `uidvalidity` - the UIDVALIDITY
  `modseq` - the MODSEQ
  `uidFirst` - the first UID
  `uidLast` - the last UID

### ResyncData

public ResyncData(long uidvalidity, long modseq, long[] uids)
Used to limit the reported message changes to those with the specified UIDs.

Parameters:
  `uidvalidity` - the UIDVALIDITY
  `modseq` - the MODSEQ
  `uids` - the UID values

## Method Details

### getUIDValidity

public long getUIDValidity()
Get the UIDVALIDITY value specified when this instance was created.

Returns:
  the UIDVALIDITY value

### getModSeq

public long getModSeq()
Get the MODSEQ value specified when this instance was created.

Returns:
  the MODSEQ value